Subject: CSA Amendments
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 28 Jun 1999 02:27:00 -0700 (PDT)

Susan,  Attached are redlined copies of the CSA Amendments.  We made a change 
to the Monthly Contract Quantity to exclude Force Majeure events and Section 
2.4 Shaft energy interruptions.  Please review and call me with any 
questions.  x-33512.

Since we have circulated the prior amendment, I think it would avoid the most 
confusing by giving these amendments a new execution date.  I also added a 
section which specifices that these versions replace the amendments dated 
June 18, 1999.

The NBV letter values will also be redone.  The numbers will have to be 
changed.  The investors have asked that instead of a Contract Year Schedule, 
a quarterly schedule be included.   I don't have the numbers from Mark yet, 
but will forward those changes as soons as I get them.

Mark indicated that he had discussed these changes with both you and David.